Skip to main content

Endpoints Reference

Every ingest and query endpoint xScaler exposes, per signal. To connect your first source, start with the Quick Start.

info

Every request, both writes and reads, for all signals, must include the Authorization: Bearer <token> and X-Scope-OrgID: <tenant-id> headers. See Authentication for details.

Sending data

Metrics

MethodProtocolEndpoint
Prometheus remote_writeHTTPPOST /api/v1/push
OpenTelemetry CollectorOTLP/HTTPPOST /otlp/v1/metrics
OpenTelemetry CollectorOTLP/gRPC:443 (TLS)
Grafana AlloyHTTP (remote_write)POST /api/v1/push
OTel SDK (Python / Node.js / Go)OTLP/HTTPPOST /otlp/v1/metrics

Logs

MethodProtocolEndpoint
Grafana AlloyHTTP (push)POST /api/v1/push
OpenTelemetry CollectorOTLP/HTTPPOST /otlp/v1/logs
OpenTelemetry CollectorOTLP/gRPC:443 (TLS)
OTel SDK (Python / Node.js / Go)OTLP/HTTPPOST /otlp/v1/logs

Traces

MethodProtocolEndpoint
OpenTelemetry CollectorOTLP/HTTPPOST /otlp/v1/traces
OpenTelemetry CollectorOTLP/gRPC:443 (TLS)
Grafana AlloyOTLP/HTTPPOST /otlp/v1/traces
OTel SDK (Python / Node.js / Go)OTLP/HTTPPOST /otlp/v1/traces

Querying data

SignalQuery languageBase URL
MetricsPromQLhttps://<region>.m.xscalerlabs.com
LogsLogQLhttps://<region>.l.xscalerlabs.com
TracesTraceQLhttps://<region>.t.xscalerlabs.com

See Regions & Endpoints for the full list of regional hostnames.